Bug 164030 - [patch] math/giacxcas maintainer update to 0.9.5
[patch] math/giacxcas maintainer update to 0.9.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-11 21:00 UTC by han
Modified: 2012-06-22 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (4.78 KB, patch)
2012-01-11 21:00 UTC, han
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description han 2012-01-11 21:00:18 UTC
-Update math/giacxcas to 0.9.5 
-swich back to the previous auxiliary file fltkdev.tgz instead of fltk-giac.tar.gz due to a printing bug in 64bits. (huge files generation. cf giac/xcas forum)
-the script xgiac was removed in the author sources, so the texmacs RUN dependency has been removed. (Texmacs can run many applications giac, pari... but those applications can be run without texmacs)
- giac/xcas 0.9.5 can now use lapack, so it was added in the dependencies.

Fix: Patch attached with submission follows:
Comment 1 jgh freebsd_committer 2012-01-12 06:10:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take this
Comment 2 dfilter freebsd_committer 2012-01-14 21:43:44 UTC
jgh         2012-01-14 21:43:20 UTC

  FreeBSD ports repository

  Modified files:
    math/giacxcas        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.9.5
  -swich back to previous auxiliary file fltkdev.tgz instead of fltk-giac.tar.gz due to a printing bug in 64bits.
  - xgiac was removed in the author sources, so remove texmacs run dependency
  - add lapack dependency
  
  PR: ports/164030
  Submitted by: maintainer, Han Frederic <han at math.jussieu.fr>
  Approved by:    crees (mentor)
  
  Revision  Changes    Path
  1.8       +5 -5      ports/math/giacxcas/Makefile
  1.6       +4 -4      ports/math/giacxcas/distinfo
  1.5       +18 -1     ports/math/giacxcas/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 jgh freebsd_committer 2012-01-14 21:44:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2012-06-22 14:45:18 UTC
scheidell    2012-06-22 13:44:53 UTC

  FreeBSD ports repository

  Modified files:
    math/giacxcas        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.9.5
  
  PR:             ports/164030
  Submitted by:   Han Frederic <han@math.jussieu.fr> (maintainer)
  
  Revision  Changes    Path
  1.10      +2 -3      ports/math/giacxcas/Makefile
  1.7       +2 -2      ports/math/giacxcas/distinfo
  1.6       +525 -1    ports/math/giacxcas/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"